import request from '@/utils/request'

// 查询标签列表, 支持翻页
export function goodsTagList(urlParams, data) {
  return request({
    url: '/api/v1/mp/admin/goods/tag/list',
    method: 'post',
    data,
    urlParams
  })
}

// 查询标签下拉列表，不分页
export function goodsTagItems(data) {
  return request({
    url: '/api/v1/mp/admin/goods/tag/items',
    method: 'post',
    data
  })
}

//查询标签详情
export function goodsTagDetail(data) {
  return request({
    url: '/api/v1/mp/admin/goods/tag/detail',
    method: 'post',
    data
  })
}

// 修改标签信息
export function goodsTagUpdate(data) {
  return request({
    url: '/api/v1/mp/admin/goods/tag/update',
    method: 'post',
    data
  })
}

// 新增标签信息
export function goodsTagCreate(data) {
  return request({
    url: '/api/v1/mp/admin/goods/tag/create',
    method: 'post',
    data
  })
}

// 删除标签信息
export function goodsTagRemove(data) {
  return request({
    url: '/api/v1/mp/admin/goods/tag/remove',
    method: 'post',
    data
  })
}